AI Sync

Courses

Create Course

POSThttps://app.rizzdial.com/api/knowledge-hub/courses/create
Create Course
curl --request POST \
  --url https://app.rizzdial.com/api/knowledge-hub/courses/create \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "title": "Onboarding",
  "visibility": "public"
}'
{
  "data": {
    "id": "MQ==",
    "title": "Onboarding",
    "status": "draft",
    "added_by": 12,
    "thumbnail": null,
    "company_id": 12,
    "created_at": "2026-10-21T08:00:00.000000Z",
    "updated_at": "2026-10-21T08:00:00.000000Z",
    "visibility": "public",
    "description": null,
    "preview_enabled": false,
    "preview_description": null,
    "preview_content_limit": 1
  },
  "message": "Course created successfully.",
  "success": true
}

Create Course#

Creates a draft course. description starts empty. Requires create-knowledge-hub.

Authorizationstringheaderrequired

Bearer token in the format: Bearer {access_token}

titlestringbodyrequired

Course title. Max 255 characters

visibilitystringbodyrequired

public or private

curl --request POST \
  --url https://app.rizzdial.com/api/knowledge-hub/courses/create \
  --header 'Authorization: Bearer {{bearer_token}}' \
  --header 'Content-Type: application/json' \
  --data '{"title":"Onboarding","visibility":"public"}'
successboolean

true

messagestring

Course created successfully.

dataobject

Created course with base64 id and status draft